/*--
  Description:
  We need low level C functions to communicate through named pipes. 
  These files have some C files that are used by WishIntfc. These need not
  be modified. 
  -*/

#ifndef SYSTEM_STUFF_HXX___
#define SYSTEM_STUFF_HXX___

extern "C"
{
  
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <ctype.h>

#define ERRORSTRING ((errno < sys_nerr) ? sys_errlist[errno] : "unknown error")

extern int errno;
extern int sys_nerr;
extern const char *const sys_errlist[];

#undef ERROR
#undef NOERROR
#define ERROR           -1
#define NOERROR         0

extern int writen(int fd, char* ptr, int nbytes);

}

#endif

