#ifndef CMUMOVIE_H
#define CMUMOVIE_H

#include "parser.h"
#include "maze.h"

int cmumovie_open(int delay);
int cmumovie_close();
int cmumovie_command(char *);
int cmumovie_config(int w, int h);
int cmumovie_newframe_short();
int cmumovie_newframe();
int cmumovie_poll_wish();
int cmumovie_drawnets(vector<list<wire_segment> > &vlws, vector<int> &vio);
int cmumovie_drawexpansion(list<cell> &expanded_cells);
int cmumovie_drawsourcedest(list<cell> &source, list<pin> &dest);

#endif
