#ifndef PARSE_H
#define PARSE_H

#include <stl.h>

struct cell
{
	short x,y;
	unsigned char l;
	char l2; // -1 if not a via, otherwise other layer for via
};


struct pin
{
	int x;
	int y;
	int net;
	bool pad;
};

struct net
{
	int id;
	vector<pin> pins;
};


int parse_placement(char *file, vector<net> &vn, vector<pin> &vp, int &width, int &height);

#endif
